VPATH += $(SDK_DRIVER_DIR)/Typec/src/App
VPATH += $(SDK_DRIVER_DIR)/Typec/src/PD3_0
VPATH += $(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Typec/Circuit

INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Typec
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Typec/Common
INCLUDES += -I$(SDK_DRIVER_DIR)/Typec/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Typec/inc/App

OBJ_DRIVER_TYPEC_C = $(wildcard $(SDK_DRIVER_DIR)/Typec/src/App/*.c)
OBJ_DRIVER_TYPEC_C += $(wildcard $(SDK_DRIVER_DIR)/Typec/src/PD3_0/*.c)
OBJ_DRIVER_TYPEC_C += $(wildcard $(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Typec/Circuit/*.c)
OBJ_DRIVER_TYPEC_C_NODIR = $(notdir $(OBJ_DRIVER_TYPEC_C))
OBJ_DRIVER_TYPEC_C_O = $(OBJ_DRIVER_TYPEC_C_NODIR:%.c=%.o)
DRIVER_TARGET_O += $(OBJ_DRIVER_TYPEC_C_O)
